Bug 2026968 - SELinux is preventing numad from using the 'ipc_owner' capabilities.
Summary: SELinux is preventing numad from using the 'ipc_owner' capabilities.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 36
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d55784facbd4c3eb73d9bb73978...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-26 16:50 UTC by Charles Barto
Modified: 2023-10-12 14:38 UTC (History)
8 users (show)

Fixed In Version: selinux-policy-36.16-1.fc36
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-10-12 13:01:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github fedora-selinux selinux-policy pull 1400 0 None open Add numad the ipc_owner capability 2022-09-21 15:24:16 UTC

Description Charles Barto 2021-11-26 16:50:19 UTC
Description of problem:
I attempted to start a libvirt VM with the <vcpu placement="auto" /> configuration.
SELinux is preventing numad from using the 'ipc_owner' capabilities.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that numad should have the ipc_owner capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'numad' --raw | audit2allow -M my-numad
# semodule -X 300 -i my-numad.pp

Additional Information:
Source Context                system_u:system_r:numad_t:s0-s0:c0.c1023
Target Context                system_u:system_r:numad_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        numad
Source Path                   numad
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-35.5-1.fc35.noarch
Local Policy RPM              selinux-policy-targeted-35.5-1.fc35.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.14.18-300.fc35.x86_64 #1 SMP Fri
                              Nov 12 16:43:17 UTC 2021 x86_64 x86_64
Alert Count                   1
First Seen                    2021-11-26 00:14:30 EST
Last Seen                     2021-11-26 00:14:30 EST
Local ID                      9bd31710-79bb-4c81-9fdf-f2aacc03628a

Raw Audit Messages
type=AVC msg=audit(1637903670.950:2626): avc:  denied  { ipc_owner } for  pid=72952 comm="numad" capability=15  scontext=system_u:system_r:numad_t:s0-s0:c0.c1023 tcontext=system_u:system_r:numad_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: numad,numad_t,numad_t,capability,ipc_owner

Version-Release number of selected component:
selinux-policy-targeted-35.5-1.fc35.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.15.2
hashmarkername: setroubleshoot
kernel:         5.14.18-300.fc35.x86_64
type:           libreport

Comment 1 Fedora Update System 2022-09-30 08:49:43 UTC
FEDORA-2022-0c59a07653 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

Comment 2 Fedora Update System 2022-10-01 02:12:51 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-0c59a07653`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-0c59a07653

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 3 Fedora Update System 2022-10-12 13:01:28 UTC
FEDORA-2022-0c59a07653 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.